import { GridColumnSummaryOptions } from "./GridColumnSummaryOptions";
import { IgcGridColumnOptionsSectionBaseComponent } from "./igc-grid-column-options-section-base-component";
import { ControlDisplayDensity } from "igniteui-webcomponents-core";
export declare class IgcGridColumnSummaryOptionsComponent extends IgcGridColumnOptionsSectionBaseComponent {
    private _height;
    private _width;
    height: string;
    width: string;
    private _webComponentWrapper;
    private _webComponentRenderer;
    private _portalManager;
    constructor();
    updateStyle(): void;
    destroy(): void;
    protected createImplementation(): GridColumnSummaryOptions;
    readonly i: GridColumnSummaryOptions;
    private _disconnected;
    disconnectedCallback(): void;
    connectedCallback(): void;
    afterContentInit(): void;
    private static _observedAttributesIgcGridColumnSummaryOptionsComponent;
    static readonly observedAttributes: string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    /**
 * Gets or sets the text inside the summary button.
*/
    summaryCaption: string;
    /**
     * Gets or sets the display density used for the summary list.
    */
    summaryListDensity: ControlDisplayDensity;
    /**
     * Gets the actual display density used for the summary list.
    */
    actualSummaryListDensity: ControlDisplayDensity;
    activeCount: number;
    onApply(): void;
    onCancel(): void;
    closeMenu(): void;
}
